/*
 *	libetm-0.3 / error.h - Copyright (C) Emmanuel Thomas-Maurin 2008-2009-2010
 * 	manutm007@gmail.com
 *
 *	- error handling -
 *
 * 	This program is free software: you can redistribute it and/or modify
 * 	it under the terms of the GNU General Public License as published by
 * 	the Free Software Foundation, either version 3 of the License, or
 * 	(at your option) any later version.
 *
 * 	This program is distributed in the hope that it will be useful,
 * 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * 	GNU General Public License for more details.
 *
 * 	You should have received a copy of the GNU General Public License
 * 	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

typedef enum {
	LIB_NO_ERROR,
	OUT_OF_MEMORY,
	ZERO_RQ_SIZE,
	/*NEG_RQ_SIZE,*/
	NULL_DEST,
	SRC_EQ_DEST,
	STR_OVERLAP,
	NULL_POINTER_FREE,
	RNDSTR_UNKNOWN_MODE,
	LIB_LASTERRORCODE
} lib_error_code;

/*
 * app defined "fatal" error handler prototype
 * error code from app should enum above LIB_LASTERRORCODE
 */
int big_error(int, const char *, const char *, const char *, const char *);

/*
 * this will call big_error() function defined in app
 */
int big_error_in_lib(lib_error_code, const char *);

/*
 * if error code > LIBETM_LAST_ERROR, returns ""
 */
const char *get_lib_error_str(lib_error_code);
